Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# WLanInfo Struct Reference

Executes the basic behavior. More...

`#include <GT2005SimpleBasicBehaviors.h>`

List of all members.

## Public Attributes
unsigned long | measures
double | link
double | noise
double | signal
double | dLink
double | dNoise
double | dSignal

## Detailed Description

Executes the basic behavior.

Definition at line 895 of file GT2005SimpleBasicBehaviors.h.

## Member Data Documentation

unsigned long WLanInfo::measures

| Definition at line 897 of file GT2005SimpleBasicBehaviors.h. Referenced by GT2005BasicBehaviorCalcWlanBearing::execute(), GT2005BasicBehaviorCalcWlanBearing::Filter(), and GT2005BasicBehaviorCalcWlanBearing::init().

double WLanInfo::link

| Definition at line 898 of file GT2005SimpleBasicBehaviors.h. Referenced by GT2005BasicBehaviorCalcWlanBearing::execute(), GT2005BasicBehaviorCalcWlanBearing::Filter(), and GT2005BasicBehaviorCalcWlanBearing::init().

double WLanInfo::noise

| Definition at line 899 of file GT2005SimpleBasicBehaviors.h. Referenced by GT2005BasicBehaviorCalcWlanBearing::execute(), GT2005BasicBehaviorCalcWlanBearing::Filter(), and GT2005BasicBehaviorCalcWlanBearing::init().

double WLanInfo::signal

| Definition at line 900 of file GT2005SimpleBasicBehaviors.h. Referenced by GT2005BasicBehaviorCalcWlanBearing::execute(), GT2005BasicBehaviorCalcWlanBearing::Filter(), and GT2005BasicBehaviorCalcWlanBearing::init().

double WLanInfo::dLink

| Definition at line 902 of file GT2005SimpleBasicBehaviors.h.

double WLanInfo::dNoise

| Definition at line 903 of file GT2005SimpleBasicBehaviors.h.

double WLanInfo::dSignal

| Definition at line 904 of file GT2005SimpleBasicBehaviors.h. Referenced by GT2005BasicBehaviorCalcWlanBearing::Filter().

The documentation for this struct was generated from the following file:

- Modules/BehaviorControl/GT2005BehaviorControl/GT2005BasicBehaviors/GT2005SimpleBasicBehaviors.h